/* Copyright (c) 2001-2009 by SoftIntegration, Inc. All Rights Reserved */
#include <ch.h>
#include "sum1.h"

EXPORTCH double sum1_chdl(void *varg) {
  ChInterp_t interp;
  ChVaList_t ap;
  int count;
  double d1, d2, retval;

  Ch_VaStart(interp, ap, varg);
  count = Ch_VaArg(interp, ap, int);
  d1 = Ch_VaArg(interp, ap, double);   
  d2 = Ch_VaArg(interp, ap, double);   
  retval = sum1(count, d1, d2); 
  Ch_VaEnd(interp, ap);
  return retval;
}
